## org.apache.hadoop.contrib.index.mapred
Interface ILocalAnalysis<K extends WritableComparable,V extends Writable>

All Superinterfaces:
  Closeable, JobConfigurable, Mapper<K,V,DocumentID,DocumentAndOp>

All Known Implementing Classes:
  IdentityLocalAnalysis, LineDocLocalAnalysis

    public interface ILocalAnalysis<K extends WritableComparable,V extends Writable>

extends Mapper<K,V,DocumentID,DocumentAndOp>

Application specific local analysis. The output type must be (DocumentID, DocumentAndOp).

Method Summary

Methods inherited from interface org.apache.hadoop.mapred.Mapper
`map`

Methods inherited from interface org.apache.hadoop.mapred.JobConfigurable
`configure`

Methods inherited from interface java.io.Closeable
`close`

Copyright © 2009 The Apache Software Foundation